Bug 768404

Summary: f16 f17 virt-manager spice/qlx console freezes when CTRL+INS (copy-paste on the HOST) with F17 KDE livecd guest
Product: [Fedora] Fedora Reporter: Reartes Guillermo <rtguille>
Component: spice-gtkAssignee: Marc-Andre Lureau <marcandre.lureau>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: alevy, berrange, cfergeau, crobinso, dougsland, dpierce, dwmw2, grant_williamson, gsgleason, hbrock, hdegoede, jforbes, marcandre.lureau, oliver.henshaw, virt-maint, walicki
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-11 16:51:39 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
pstack of qemu-kvm running F16 liveiso
none
pstack of hanging virt-manager
none
pstack of qemu-kvm running F17 liveiso
none
pstack of hanging virt-manager
none
virsh -c qemu:///session qemu-monitor-command --hmp <domain> '<c
none
virt-manager classic 'freeze'
none
Launched virt-viewer none

Description Reartes Guillermo 2011-12-16 10:13:55 EST
Description of problem:

Creating a guest with spice/qlx leads to a guest that sometimes apears to freeze, but it is not frozed, it is just virt-manager window becoming stale. 
I am using kde, but ctrl+alt+esc does not work for that particual window. (it does work for main virt-manager window, if it is still open). I must multi-click the close window to guet a prompt to terminate it and relaunch
virt-manager. This is all done as a normal user, so multiple times per minute must be spend util one says, enough of kvm.

I have nearly all issues possible with this stuff.
A Phenom II x3 710 + 8 gb of RAM and a FX6100 with 16GB of RAM results in
an unsuitable hardware for virtualization with kvm/virt-manager "solution".
I opened a lot of bug-reports but it seems that the issues are increasing.
The last time it worked was with F13, except for the last month. 


Version-Release number of selected component (if applicable):

kernel 2.6.41.4-1.fc15.x86_64
virt-manager.noarch   0.8.7-6.fc15

How reproducible:
nearly always.

Steps to Reproduce:
1. create a guest with spice/qlx
2. boot and install opensuse
3. issue
  
Actual results:
virt-manager spice console freezes.

Expected results:
no freeze

Additional info:

it freezes with xp and others to.
Comment 1 Cole Robinson 2012-02-06 15:10:10 EST
Can you try the following:

# make sure you are using latest virt-manager and spice-gtk from updates-testing:
yum --enablerepo=updates-testing update virt-manager spice-gtk-python

# Install debuginfos
debuginfo-install spice-gtk pygtk2 libvirt

Then, when you hit the issue, let it hang and do the following

ps axwww | grep virt-manager

take that process id, and run

gdb -p $pid

at the gdb prompt, enter

thread apply all bt

and copy all that output here.
Comment 2 Daniel Berrange 2012-02-07 04:39:02 EST
This sounds somewhat similar to a bug I was shown in GNOME Boxes the other day. It turned out that QEMU was waiting for the SPICE client to read some data from the SPICE socket, while the client app was issuing a monitor command and waiting for QEMU to reply. Hence dealocked. Getting a stack trace of libvirtd & QEMU would be able to confirm this scenario
Comment 3 Cole Robinson 2012-02-08 17:41:49 EST
Dan I think I might be reproducing this on F16. Switching to VT and doing some gdb wrangling shows libvirt waiting on a monitor response from QEMU, and QEMU doing at least something qxl related. Some other threads in dispatch.c but not obvious what they are.

Does that sound like the issue you mean? If so, where to move this bug (or is there an existing bz?)
Comment 4 Oliver Henshaw 2012-02-13 13:37:18 EST
Created attachment 561628 [details]
pstack of qemu-kvm running F16 liveiso

Observed in F16 with:

qemu-kvm-0.15.1-4.fc16.x86_64
spice-gtk-0.9-1.fc16.x86_64
libvirt-0.9.6-4.fc16.x86_64
virt-manager-0.9.1-1.fc16.noarch

Attached are stacktraces of qemu-kvm and the hanging virt-manager, taken with pstack (with the --readnever option disabled by hand so that symbols get loaded).
Comment 5 Oliver Henshaw 2012-02-13 13:42:17 EST
Created attachment 561637 [details]
pstack of hanging virt-manager

pstack was taken from another virtual terminal, as the hanging virt-manager prevents keyboard input in the X session. Note that switching back from the virtual terminal after pstack/gdb'ing virt-manager causes it to crash.
Comment 6 Cole Robinson 2012-02-13 14:42:23 EST
FWIW that's basically the stack trace I was seeing as well.

Moving to spice-gtk, though it sounds like this could be a spice server or qemu issue?
Comment 7 Alon Levy 2012-02-15 03:22:05 EST
All,

The stack trace in comment 4 shows handle_dev_update, not handle_dev_update_async, meaning you are running a too old driver in the guest. There is no fedora 16 driver right now, can you please use the fedora 17 driver:

 xorg-x11-drv-qxl-0.0.21-13.fc17

or later,

And report if you stil get the crashes?

Alon
Comment 8 Fedora Update System 2012-02-16 09:31:41 EST
xorg-x11-drv-qxl-0.0.21-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xorg-x11-drv-qxl-0.0.21-13.fc16
Comment 9 Oliver Henshaw 2012-02-17 13:38:32 EST
I tried the fedora 17 alpha RC2 live image (desktop versions - kde has display problems of some kind: bug 794835) for a while and didn't experience any hangs.
Comment 10 Cole Robinson 2012-03-04 15:31:18 EST
I think the original report here might actually be a different issue, since it doesn't describe any of the weird X server behavior that the rest of the comments are presumably referencing, similar to bug 747464
Comment 11 Fedora Update System 2012-03-06 14:31:56 EST
xorg-x11-drv-qxl-0.0.21-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Reartes Guillermo 2012-06-02 17:04:52 EDT
I switched to F17 recently, so i no longer have F15 avaiable.
I itend to rebuilt the virtual machines from scratch, just in case.

I avoided the freeze all this time by not using virt-manager, instead i used virt-viewer (never froze).
Comment 13 Oliver Henshaw 2012-06-04 13:24:34 EDT
I'm running into this problem again with the F17 KDE Live image. Well, there are the same symptons of hanging virt-manager with spice/qxl but without the blocking of keyboard input in the host desktop session.

Again confirmed that thise only happens with spice/qxl not vnc/cirrus.

Host:
qemu-kvm-0.15.1-4.fc16.x86_64
spice-gtk-0.11-4.fc16.x86_64
libvirt-0.9.6-5.fc16.x86_64
virt-manager-0.9.1-2.fc16.noarch

Guest:
xorg-x11-drv-qxl-0.0.22-0.fc17.x86_64
Comment 14 Oliver Henshaw 2012-06-04 13:25:59 EDT
Created attachment 589222 [details]
pstack of qemu-kvm running F17 liveiso
Comment 15 Oliver Henshaw 2012-06-04 13:26:56 EDT
Created attachment 589223 [details]
pstack of hanging virt-manager
Comment 16 Alon Levy 2012-06-13 04:22:58 EDT
(In reply to comment #13)
> I'm running into this problem again with the F17 KDE Live image. Well, there
> are the same symptons of hanging virt-manager with spice/qxl but without the
> blocking of keyboard input in the host desktop session.
> 
> Again confirmed that thise only happens with spice/qxl not vnc/cirrus.
> 
> Host:
> qemu-kvm-0.15.1-4.fc16.x86_64
> spice-gtk-0.11-4.fc16.x86_64
> libvirt-0.9.6-5.fc16.x86_64
> virt-manager-0.9.1-2.fc16.noarch
> 
> Guest:
> xorg-x11-drv-qxl-0.0.22-0.fc17.x86_64

The qemu stacktrace you posted is showing normal guest-running situation, qemu vcpu thread (up vm) is calling kvm ioctl (i.e. guest is running), qemu io thread is on select, and spice worker thread is on epoll.

i.e. it isn't showing a lock with qemu doing an io and virt-manager(spice-client) blocking on read from qemu, which is what you see in the F16 iso stack trace (at least, you see the qemu half).

Oliver, can you explain how to reproduce? also, on the off chance you got the wrong stack trace, what does "info qtree" show?

Alon
Comment 17 Oliver Henshaw 2012-06-13 08:34:20 EDT
Just running the live image and pottering around will do it. I've started to notice that making a selection will often trigger the hang, so browse around with konqueror and select text into the clipboard and eventuallly you should see it too.

This most recent time I lost keyboard input in the host X session, but could still move to another vt. I pressed the Left Ctrl + Left Alt combination in the hope that this might release the keyboard but it made no difference. Some minutes later I noticed I did have keyboard input back, I'm not sure if it came back on it's own or as a delayed response to the key combo.
Comment 18 Oliver Henshaw 2012-06-13 09:03:38 EDT
Created attachment 591489 [details]
virsh -c qemu:///session qemu-monitor-command --hmp <domain> '<c
Comment 19 Oliver Henshaw 2012-06-13 09:10:43 EDT
That should be:

virsh -c qemu:///session qemu-monitor-command --hmp F17-KDE-Live  'qtree info'

(had to recontruct the command-line because the X process went to 100% after I force-killed the virt-manager with the kwin killer helper and I ended up Ctrl+alt+Backspace out of the session).

Hope that's the information you wanted.
Comment 20 Oliver Henshaw 2012-06-15 12:04:39 EDT
Might be an interesting detail: this time it happened while I was typing 'less' in konsole and when I re-opened virt-manager and connected to the VM again I could see that the virtual 'e' key had got stuck so that 'leeeeeeeeeeee[..]eee" had been spammed to the terminal over several lines.
Comment 21 Cole Robinson 2012-06-17 17:36:02 EDT
Moving to F16 per comment #13
Comment 22 Reartes Guillermo 2012-06-17 19:56:28 EDT
Tried to reproduce it with Fedora 17 Guests and 
F17 Hosts.

HOST: F17 X86_64
----------------

AMD FX6100 over an AMD 990FX with 16GB RAM

GUEST #1: (FFRAWH-1)
-------------------

F17 X86_64
VNC + CIRRUS

GUEST #2: (FFRAWH-2)
-------------------

F17 X86_64
SPICE + QLX

-------------------------------------------

Both GUESTs are NEW Virtual Machines.
Installed from F17-KDE LiveCD.

-------------------------------------------

Created them and launched them via virt-manager.
The vm were installed, and a reboot was performed.
Once they booted, glxgears was run in both guest 
and host. Later (no glxgears was running), a yum
update was launched on both guests.

Some time later, virt-manager and the guests 
windows experienced both the 'freeze'. No errors 
on messages, so no crash. Launched konsole on the 
host and launched one virt-viewer per guest and it
showed that the guest was still running. (the yum
update was still ongoing).

KDE performance on both guests was very poor.
The SPICE/QLX Guest was much slower, even at grub.
KDM took more than 21 second to log-in on guests.

NOTE: 
KDE Destktop Effects were enabled on the guests
by default. (!?). It was DISABLED and rebooted.
But both GUESTs are still slow.

But the issue here is the virt-manager freeezing.
Now, another test on the guests, to see if i manage
to freeze virt-manager.

GUEST #1 (FFRAWH-1):
--------------------
VNC/CIRRUS

# Konsole (maximized at default resolution)
# echo "3" > /proc/sys/vm/drop_caches
# time find /

real 0m4.371s
user 0m0.269s
sys  0m0.765s

At some moment, the screen stopped updating until a
screenshot was taken.

A second time (cached)

real 0m2.172s
user 0m0.253s
sys  0m0.449s

GUEST #2 (FFRAWH-2):
--------------------
SPICE/QLX

# Konsole (maximized at default resolution)
# echo "3" > /proc/sys/vm/drop_caches
# time find /

# Konsole (maximized at default resolution)
# echo "3" > /proc/sys/vm/drop_caches
# time find /

real 0m5.786s
user 0m0.263s
sys  0m0.481s

A second time (cached)

real 0m3.431s
user 0m0.221s
sys  0m0.417s

--------------------------

I could not reproduce the freeze.

SPICE/QLX GUEST appears slower but it display 
rendering speed looked faster.

VNC/CIRRUS appears faster but it display rendering 
speed looked slower. (framedrop?).

Personally i was using virt-viewer with xp and 
spice/qlx, no freezes since.

-----------------------------
Host:

libvirt.x86_64                        0.9.11.3-1.fc17 @fedora 
libvirt-client.x86_64                 0.9.11.3-1.fc17 @fedora 
libvirt-daemon.x86_64                 0.9.11.3-1.fc17 @fedora 
libvirt-daemon-config-network.x86_64  0.9.11.3-1.fc17 @fedora 
libvirt-daemon-config-nwfilter.x86_64 0.9.11.3-1.fc17 @fedora 
libvirt-python.x86_64                 0.9.11.3-1.fc17 @fedora 
virt-manager.noarch                   0.9.1-4.fc17    @updates
virt-manager-common.noarch            0.9.1-4.fc17    @updates
virt-viewer.x86_64                    0.5.3-1.fc17    @updates

spice-client.x86_64     0.10.1-2.fc17  @fedora                     
spice-glib.x86_64       0.12-4.fc17    @updates                    
spice-gtk.x86_64        0.12-4.fc17    @updates                    
spice-gtk-python.x86_64 0.12-4.fc17    @updates                    
spice-gtk-tools.x86_64  0.12-4.fc17    @updates                    
spice-gtk3.x86_64       0.12-4.fc17    @updates                    
spice-server.x86_64     0.10.1-2.fc17  @fedora                     
spice-vdagent.x86_64    0.10.1-1.fc17  @koji-override-0/$releasever
spice-xpi.x86_64        2.7-2.fc17     @updates

gtk-vnc.x86_64                 0.5.0-2.fc17 @fedora                     
gtk-vnc-python.x86_64          0.5.0-2.fc17 @fedora                     
gvnc.x86_64                    0.5.0-2.fc17 @fedora                     
tigervnc-license.noarch        1.1.0-5.fc17 @koji-override-0/$releasever
tigervnc-server-minimal.x86_64 1.1.0-5.fc17 @koji-override-0/$releasever

ipxe-roms-qemu.noarch   20120328-1.gitaac9718.fc17  @fedora
qemu-common.x86_64      2:1.0-17.fc17               @fedora
qemu-img.x86_64         2:1.0-17.fc17               @fedora
qemu-kvm.x86_64         2:1.0-17.fc17               @fedora
qemu-system-x86.x86_64  2:1.0-17.fc17               @fedora

kernel: 3.4.0-1.fc17.x86_64
Comment 23 Reartes Guillermo 2012-06-17 19:58:20 EDT
Created attachment 592483 [details]
virt-manager classic 'freeze'
Comment 24 Reartes Guillermo 2012-06-17 19:59:04 EDT
Created attachment 592484 [details]
Launched virt-viewer
Comment 25 Reartes Guillermo 2012-07-20 12:32:23 EDT
I was able to reproduce the qlx freeze on two hosts

Host#1 (FX6100+SB990FX, F17 x86_64) using KDE on the Host (local console) RADEON
Host#2 (Phenom2+n750a, F17 x86_64) using KDE on the Host (remote ssh -Y session on an intel core i5 with intel driver and F16).

On both host i creaded a guest with F17 KDE-LiveCD!.

I noticed by accident that the freeze happens when copy-pasting (in the HOST), it might fail from the second onwards. Probabbly by just copying (ctrl+ins) several times triggers it. Once the message below is shown, virt-manager is frozen. One must ctrl+alt+esc and relaunch virt-manager.


# virt-manager --no-fork

(virt-manager:8330): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

(virt-manager:8330): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion `G_IS_OBJECT (object)' failed

(virt-manager:8330): GSpice-WARNING **: clipboard get timed out
Comment 26 Reartes Guillermo 2012-07-20 13:35:21 EDT
An explanation for previous "randomness" is that :

The virt-manager window does not need to be in the foreground, so it is in the background or minimized.

Copy-Paste is a very common activity, even by just highlighting text in konsole perform a a copy to the clipboard.
Comment 28 Gregory Gleason 2012-09-14 15:30:17 EDT
I have been having the freezing issue seeminly regardless of which spice client I use, whether it be spicy, spicec, virt-manager, virt-viewer.

I am running Fedora 16 32 bit with a winxp guest using the spice drivers.  After doing a little bit of clicking in the guest, it invariably freezes the spice client.  If I kill it and start a new client, all is well for a bit.

I followed the instructions in Comment #1 hoping it will help, though I was using spicy instead of virt-manager.


$ rpm -qa|egrep "spice|qxl|kvm|libvirt"
libvirt-client-0.9.11.5-3.fc17.i686
libvirt-daemon-config-nwfilter-0.9.11.5-3.fc17.i686
spice-vdagent-0.10.1-1.fc17.i686
spice-gtk3-0.12-4.fc17.i686
spice-server-0.10.1-5.fc17.i686
spice-gtk-python-0.12-4.fc17.i686
libvirt-daemon-0.9.11.5-3.fc17.i686
libvirt-python-0.9.11.5-3.fc17.i686
spice-glib-0.12-4.fc17.i686
spice-gtk-debuginfo-0.12-4.fc17.i686
libvirt-debuginfo-0.9.11.5-3.fc17.i686
spice-client-0.10.1-5.fc17.i686
libvirt-0.9.11.5-3.fc17.i686
xorg-x11-drv-qxl-0.0.22-0.fc17.i686
spice-gtk-tools-0.12-4.fc17.i686
spice-gtk-0.12-4.fc17.i686
libvirt-daemon-config-network-0.9.11.5-3.fc17.i686


gsg@greglap ~
$ ps -efw|grep spicy
gsg       2279  2212  0 13:22 pts/0    00:00:01 spicy -h localhost -p 5900 -f
gsg       2437  2383  0 13:24 pts/3    00:00:00 grep --color=auto spicy
gsg@greglap ~
$ gdb -p 2279
GNU gdb (GDB) Fedora (7.4.50.20120120-50.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 2279
Reading symbols from /usr/bin/spicy...Reading symbols from /usr/lib/debug/usr/bin/spicy.debug...done.
done.
Reading symbols from /lib/libspice-client-gtk-2.0.so.1...Reading symbols from /usr/lib/debug/usr/lib/libspice-client-gtk-2.0.so.1.2.0.debug...done.
done.
Loaded symbols for /lib/libspice-client-gtk-2.0.so.1
Reading symbols from /lib/libspice-client-glib-2.0.so.1...Reading symbols from /usr/lib/debug/usr/lib/libspice-client-glib-2.0.so.1.6.0.debug...done.
done.
Loaded symbols for /lib/libspice-client-glib-2.0.so.1
Reading symbols from /lib/libcelt051.so.0...Reading symbols from /usr/lib/debug/usr/lib/libcelt051.so.0.0.0.debug...done.
done.
Loaded symbols for /lib/libcelt051.so.0
Reading symbols from /lib/libjpeg.so.62...Reading symbols from /usr/lib/debug/usr/lib/libjpeg.so.62.0.0.debug...done.
done.
Loaded symbols for /lib/libjpeg.so.62
Reading symbols from /lib/libz.so.1...Reading symbols from /usr/lib/debug/lib/libz.so.1.2.5.debug...done.
done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /lib/libpixman-1.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpixman-1.so.0.24.4.debug...done.
done.
Loaded symbols for /lib/libpixman-1.so.0
Reading symbols from /lib/libssl.so.10...Reading symbols from /usr/lib/debug/usr/lib/libssl.so.1.0.0j.debug...done.
done.
Loaded symbols for /lib/libssl.so.10
Reading symbols from /lib/libcrypto.so.10...Reading symbols from /usr/lib/debug/lib/libcrypto.so.1.0.0j.debug...done.
done.
Loaded symbols for /lib/libcrypto.so.10
Reading symbols from /lib/libpulse-mainloop-glib.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpulse-mainloop-glib.so.0.0.4.debug...done.
done.
Loaded symbols for /lib/libpulse-mainloop-glib.so.0
Reading symbols from /lib/libpulse.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpulse.so.0.13.5.debug...done.
done.
Loaded symbols for /lib/libpulse.so.0
Reading symbols from /lib/libsasl2.so.2...Reading symbols from /usr/lib/debug/usr/lib/libsasl2.so.2.0.23.debug...done.
done.
Loaded symbols for /lib/libsasl2.so.2
Reading symbols from /lib/libcacard.so.0...Reading symbols from /usr/lib/debug/usr/lib/libcacard.so.0.0.0.debug...done.
done.
Loaded symbols for /lib/libcacard.so.0
Reading symbols from /lib/libssl3.so...Reading symbols from /usr/lib/debug/usr/lib/libssl3.so.debug...done.
done.
Loaded symbols for /lib/libssl3.so
Reading symbols from /lib/libsmime3.so...Reading symbols from /usr/lib/debug/usr/lib/libsmime3.so.debug...done.
done.
Loaded symbols for /lib/libsmime3.so
Reading symbols from /lib/libnss3.so...Reading symbols from /usr/lib/debug/usr/lib/libnss3.so.debug...done.
done.
Loaded symbols for /lib/libnss3.so
Reading symbols from /lib/libnssutil3.so...Reading symbols from /usr/lib/debug/usr/lib/libnssutil3.so.debug...done.
done.
Loaded symbols for /lib/libnssutil3.so
Reading symbols from /lib/libplds4.so...Reading symbols from /usr/lib/debug/usr/lib/libplds4.so.debug...done.
done.
Loaded symbols for /lib/libplds4.so
Reading symbols from /lib/libplc4.so...Reading symbols from /usr/lib/debug/usr/lib/libplc4.so.debug...done.
done.
Loaded symbols for /lib/libplc4.so
Reading symbols from /lib/libnspr4.so...Reading symbols from /usr/lib/debug/usr/lib/libnspr4.so.debug...done.
done.
Loaded symbols for /lib/libnspr4.so
Reading symbols from /lib/libpthread.so.0...Reading symbols from /usr/lib/debug/lib/libpthread-2.15.so.debug...done.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libdl.so.2...Reading symbols from /usr/lib/debug/lib/libdl-2.15.so.debug...done.
done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libgudev-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgudev-1.0.so.0.1.1.debug...done.
done.
Loaded symbols for /lib/libgudev-1.0.so.0
Reading symbols from /lib/libusb-1.0.so.0...Reading symbols from /usr/lib/debug/lib/libusb-1.0.so.0.1.0.debug...done.
done.
Loaded symbols for /lib/libusb-1.0.so.0
Reading symbols from /lib/libusbredirhost.so.1...Reading symbols from /usr/lib/debug/usr/lib/libusbredirhost.so.1.0.0.debug...done.
done.
Loaded symbols for /lib/libusbredirhost.so.1
Reading symbols from /lib/libusbredirparser.so.0...Reading symbols from /usr/lib/debug/usr/lib/libusbredirparser.so.0.0.0.debug...done.
done.
Loaded symbols for /lib/libusbredirparser.so.0
Reading symbols from /lib/libX11.so.6...Reading symbols from /usr/lib/debug/usr/lib/libX11.so.6.3.0.debug...done.
done.
Loaded symbols for /lib/libX11.so.6
Reading symbols from /lib/libXrandr.so.2...Reading symbols from /usr/lib/debug/usr/lib/libXrandr.so.2.2.0.debug...done.
done.
Loaded symbols for /lib/libXrandr.so.2
Reading symbols from /lib/libgthread-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgthread-2.0.so.0.3200.4.debug...done.
done.
Loaded symbols for /lib/libgthread-2.0.so.0
Reading symbols from /lib/librt.so.1...Reading symbols from /usr/lib/debug/lib/librt-2.15.so.debug...done.
done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libgtk-x11-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgtk-x11-2.0.so.0.2400.11.debug...done.
done.
Loaded symbols for /lib/libgtk-x11-2.0.so.0
Reading symbols from /lib/libgdk-x11-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgdk-x11-2.0.so.0.2400.11.debug...done.
done.
Loaded symbols for /lib/libgdk-x11-2.0.so.0
Reading symbols from /lib/libatk-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libatk-1.0.so.0.20409.1.debug...done.
done.
Loaded symbols for /lib/libatk-1.0.so.0
Reading symbols from /lib/libgio-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgio-2.0.so.0.3200.4.debug...done.
done.
Loaded symbols for /lib/libgio-2.0.so.0
Reading symbols from /lib/libpangoft2-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpangoft2-1.0.so.0.3000.0.debug...done.
done.
Loaded symbols for /lib/libpangoft2-1.0.so.0
Reading symbols from /lib/libpangocairo-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpangocairo-1.0.so.0.3000.0.debug...done.
done.
Loaded symbols for /lib/libpangocairo-1.0.so.0
Reading symbols from /lib/libgdk_pixbuf-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgdk_pixbuf-2.0.so.0.2600.1.debug...done.
done.
Loaded symbols for /lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /lib/libcairo.so.2...Reading symbols from /usr/lib/debug/usr/lib/libcairo.so.2.11000.2.debug...done.
done.
Loaded symbols for /lib/libcairo.so.2
Reading symbols from /lib/libpango-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpango-1.0.so.0.3000.0.debug...done.
done.
Loaded symbols for /lib/libpango-1.0.so.0
Reading symbols from /usr/lib/freetype-freeworld/libfreetype.so.6...Reading symbols from /usr/lib/debug/usr/lib/freetype-freeworld/libfreetype.so.6.8.0.debug...done.
done.
Loaded symbols for /usr/lib/freetype-freeworld/libfreetype.so.6
Reading symbols from /lib/libfontconfig.so.1...Reading symbols from /usr/lib/debug/usr/lib/libfontconfig.so.1.4.4.debug...done.
done.
Loaded symbols for /lib/libfontconfig.so.1
Reading symbols from /lib/libgobject-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgobject-2.0.so.0.3200.4.debug...done.
done.
Loaded symbols for /lib/libgobject-2.0.so.0
Reading symbols from /lib/libglib-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libglib-2.0.so.0.3200.4.debug...done.
done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /lib/libm.so.6...Reading symbols from /usr/lib/debug/lib/libm-2.15.so.debug...done.
done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...Reading symbols from /usr/lib/debug/lib/libc-2.15.so.debug...done.
done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/ld-linux.so.2...Reading symbols from /usr/lib/debug/lib/ld-2.15.so.debug...done.
done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libgssapi_krb5.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libgssapi_krb5.so.2
Reading symbols from /lib/libkrb5.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libkrb5.so.3
Reading symbols from /lib/libcom_err.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /lib/libk5crypto.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libk5crypto.so.3
Reading symbols from /lib/libresolv.so.2...Reading symbols from /usr/lib/debug/lib/libresolv-2.15.so.debug...done.
done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libjson.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libjson.so.0
Reading symbols from /lib/libpulsecommon-1.1.so...Reading symbols from /usr/lib/debug/usr/lib/libpulsecommon-1.1.so.debug...done.
done.
Loaded symbols for /lib/libpulsecommon-1.1.so
Reading symbols from /lib/libX11-xcb.so.1...Reading symbols from /usr/lib/debug/usr/lib/libX11-xcb.so.1.0.0.debug...done.
done.
Loaded symbols for /lib/libX11-xcb.so.1
Reading symbols from /lib/libxcb.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libxcb.so.1
Reading symbols from /lib/libICE.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libICE.so.6
Reading symbols from /lib/libSM.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libSM.so.6
Reading symbols from /lib/libXtst.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libXtst.so.6
Reading symbols from /lib/libwrap.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libwrap.so.0
Reading symbols from /lib/libsndfile.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libsndfile.so.1
Reading symbols from /lib/libasyncns.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libasyncns.so.0
Reading symbols from /lib/libdbus-1.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libdbus-1.so.3
Reading symbols from /lib/libcrypt.so.1...Reading symbols from /usr/lib/debug/lib/libcrypt-2.15.so.debug...done.
done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/libudev.so.0...Reading symbols from /usr/lib/debug/usr/lib/libudev.so.0.13.1.debug...done.
done.
Loaded symbols for /lib/libudev.so.0
Reading symbols from /lib/libXext.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libXext.so.6
Reading symbols from /lib/libXrender.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libXrender.so.1
Reading symbols from /lib/libgmodule-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgmodule-2.0.so.0.3200.4.debug...done.
done.
Loaded symbols for /lib/libgmodule-2.0.so.0
Reading symbols from /lib/libXfixes.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libXfixes.so.3
Reading symbols from /lib/libXinerama.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libXinerama.so.1
Reading symbols from /lib/libXi.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libXi.so.6
Reading symbols from /lib/libXcursor.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libXcursor.so.1
Reading symbols from /lib/libXcomposite.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libXcomposite.so.1
Reading symbols from /lib/libXdamage.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libXdamage.so.1
Reading symbols from /lib/libffi.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib/libffi.so.5
Reading symbols from /lib/libselinux.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /lib/libpng15.so.15...(no debugging symbols found)...done.
Loaded symbols for /lib/libpng15.so.15
Reading symbols from /lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /lib/libkrb5support.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libkrb5support.so.0
Reading symbols from /lib/libkeyutils.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libkeyutils.so.1
Reading symbols from /lib/libXau.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libXau.so.6
Reading symbols from /lib/libuuid.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /lib/libnsl.so.1...Reading symbols from /usr/lib/debug/lib/libnsl-2.15.so.debug...done.
done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libgsm.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgsm.so.1
Reading symbols from /lib/libFLAC.so.8...(no debugging symbols found)...done.
Loaded symbols for /lib/libFLAC.so.8
Reading symbols from /lib/libvorbisenc.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libvorbisenc.so.2
Reading symbols from /lib/libvorbis.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libvorbis.so.0
Reading symbols from /lib/libogg.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libogg.so.0
Reading symbols from /lib/libfreebl3.so...(no debugging symbols found)...done.
Loaded symbols for /lib/libfreebl3.so
Reading symbols from /lib/libnss_files.so.2...Reading symbols from /usr/lib/debug/lib/libnss_files-2.15.so.debug...done.
done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so...Reading symbols from /usr/lib/debug/usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so.debug...done.
done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so
Reading symbols from /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so
Reading symbols from /usr/lib/gtk-2.0/modules/libpk-gtk-module.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
Reading symbols from /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
Reading symbols from /lib/libcanberra-gtk.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libcanberra-gtk.so.0
Reading symbols from /lib/libcanberra.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libcanberra.so.0
Reading symbols from /lib/libvorbisfile.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libvorbisfile.so.3
Reading symbols from /lib/libtdb.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libtdb.so.1
Reading symbols from /lib/libltdl.so.7...(no debugging symbols found)...done.
Loaded symbols for /lib/libltdl.so.7
Reading symbols from /usr/lib/gio/modules/libgvfsdbus.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/gio/modules/libgvfsdbus.so
Reading symbols from /lib/libgvfscommon.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libgvfscommon.so.0
Reading symbols from /lib/libbluray.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libbluray.so.1
Reading symbols from /lib/libutil.so.1...Reading symbols from /usr/lib/debug/lib/libutil-2.15.so.debug...done.
done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /lib/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libxml2.so.2
0xb772a424 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install PackageKit-0.7.5-1.fc17.i686 dbus-libs-1.4.10-4.fc17.i686 expat-2.1.0-1.fc17.i686 flac-1.2.1-9.fc17.i686 gsm-1.0.13-6.fc17.i686 gtk-murrine-engine-0.98.2-1.fc17.i686 gvfs-1.12.3-1.fc17.i686 json-c-0.9-4.fc17.i686 keyutils-libs-1.5.5-2.fc17.i686 krb5-libs-1.10.2-6.fc17.i686 libICE-1.0.8-1.fc17.i686 libSM-1.2.1-1.fc17.i686 libXau-1.0.6-3.fc17.i686 libXcomposite-0.4.3-3.fc17.i686 libXcursor-1.1.13-1.fc17.i686 libXdamage-1.1.3-3.fc17.i686 libXext-1.3.1-1.fc17.i686 libXfixes-5.0-2.fc17.i686 libXi-1.6.1-1.fc17.i686 libXinerama-1.1.2-1.fc17.i686 libXrender-0.9.7-1.fc17.i686 libXtst-1.2.0-3.fc17.i686 libasyncns-0.8-3.fc17.i686 libbluray-0.2.2-1.fc17.i686 libcanberra-0.28-6.fc17.i686 libcanberra-gtk2-0.28-6.fc17.i686 libcom_err-1.42.3-2.fc17.i686 libffi-3.0.10-2.fc17.i686 libgcc-4.7.0-5.fc17.i686 libogg-1.3.0-1.fc17.i686 libpng-1.5.10-1.fc17.i686 libselinux-2.1.10-3.fc17.i686 libsndfile-1.0.25-2.fc17.i686 libtdb-1.2.10-15.fc17.i686 libtool-ltdl-2.4.2-3.fc17.i686 libuuid-2.21.2-2.fc17.i686 libvorbis-1.3.3-1.fc17.i686 libxcb-1.8.1-1.fc17.i686 libxml2-2.7.8-7.fc17.i686 nss-softokn-freebl-3.13.5-1.fc17.i686 tcp_wrappers-libs-7.6-69.fc17.i686
(gdb) thread apply al bt

Thread 1 (Thread 0xb76fc8c0 (LWP 2279)):
#0  0xb772a424 in __kernel_vsyscall ()
#1  0x4c0a7e62 in __GI___poll (fds=fds@entry=0x8b0f790, nfds=nfds@entry=13, 
    timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:83
#2  0x4c25ee5c in g_poll (fds=0x8b0f790, nfds=13, timeout=-1) at gpoll.c:132
#3  0x4c2502e0 in g_main_context_poll (n_fds=13, fds=0x8b0f790, 
    timeout=<optimized out>, context=0x8a14758, priority=<optimized out>)
    at gmain.c:3440
#4  g_main_context_iterate (context=0x8a14758, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
#5  0x4c2507c3 in g_main_loop_run (loop=0x8a4d5f0) at gmain.c:3340
#6  0x0804d426 in main (argc=1, argv=0xbf967584) at spicy.c:1790
(gdb)
Comment 29 Fedora End Of Life 2013-01-16 10:10:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Cole Robinson 2013-02-11 16:51:39 EST
Hmm, this bug is a bit confusing. I think it started off tracking one issue and ended up on another. It's currently assigned against F16 but some comments talk about F17.

If anyone can still reproduce on F17 or F18, please open a new bug report, and include:

- virsh dumpxml $vmname
- rpm -q spice-gtk qemu-system-x86 libvirt-daemon virt-manager
- Description of what it takes to reproduce

Sorry for the inconvenience, but closing this report as WONTFIX for F16.